Subject: Re: bug#11091: 24.0.94; emacsclient -t

From: Dani Moncayo <[email-masked]>
Date: Sun, 1 Apr 2012 21:17:58 +0200

> Is this better?

I think so.

>  @item -c
>  Create a new graphical frame, instead of using an existing Emacs
>  frame.  Emacs can create a graphical frame even if it was started in a
>  text-only terminal, provided it is able to connect to a graphical
>  display.

ok.

> If it is unable to connect to a graphical display, and on
>  systems, such as MS-Windows, where it cannot create graphical frames
>  when started from a text-only terminal, Emacs creates a new text-only
>  terminal frame (@pxref{Frames}).

It's unclear from that in which terminal will be created the new
text-only frame (whether on the current one or on the server one).

>  If you omit a filename argument
>  while supplying the @samp{-c} option, the new frame displays the
>  @samp{*scratch*} buffer (@pxref{Buffers}).
>
>> >> On the "-t" option:
>> >>
>> >> > Create a new Emacs frame on the current text-only terminal, instead
>> >> > of using an existing Emacs frame.  If Emacs can open a text-only
>> >> > terminal even if it was started in another text-only terminal, or on
>> >> > a graphical display, it will create a text-only frame on the current
>> >> > terminal.
>> >>
>> >> That is, "Do X instead of Y.  If Emacs can do X even if Z, it will do
>> >> X.".  Not much clean, IMHO.
>> >
>> > The second "X" is not really a literal "X", it uses different
>> > wording.  I see no problem.
>>
>> The second sentence of this paragraph is IMO too long (not easy to parse).
>
> How about this?
>
>  @item -t
>  @itemx --tty
>  @itemx -nw
>  Create a new Emacs frame on the current text-only terminal, instead of
>  using an existing Emacs frame.  Emacs can open a text-only terminal
>  even if it was started in another text-only terminal, or on a
>  graphical display.  On systems, such as MS-Windows, where this is
>  impossible, Emacs will create a new frame, either GUI or text-only, on
>  the same display where it was started.  If you omit a filename
>  argument while supplying this option, the new frame displays the
>  @samp{*scratch*} buffer.  @xref{Buffers}.

ok.

>> In short: I prefer my version of the doc fix
>
> :-)

:(  I still wonder what was wrong with my version.  But never mind.
Thanks for your work on Emacs.

-- 
Dani Moncayo